Bug 29767 - install hangs on formatting of disk
install hangs on formatting of disk
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-27 11:41 EST by Kjartan Maraas
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-14 07:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2001-02-27 11:41:34 EST
Tried installing wolverine on my Compaq Professional Workstation today.

The system has two 9.1 GB scsi disks on a AIC-7892 controller.

I installed on the second disk, two partitions + swap

/boot 23 MB
100 MB swap 
/     the rest

The disk in question is a Quantum Atlas 10K

The install hung with the following command on ALT-F4:

<4>scsi : aborting command due to timeout : pid 0, scsi0, channel 0, id 6,
lun 0 0x2a 00 00 00 c0 ca 00 00 02 00

These partitions were created during install of a previous beta (7.0, or
6.2 I think) so I tried removing them and creating new ones. Will comment
more if that helps.
Comment 1 Kjartan Maraas 2001-02-27 11:56:30 EST
Still no go with newly created partitions. Trying "noapic" on alans suggestion.
Comment 2 Kjartan Maraas 2001-02-27 12:02:00 EST
Still no go. Seems to hang on the first write to the drive.
Comment 3 Michael Fulbright 2001-02-27 13:18:25 EST
Please try the Wolverine beta release.
Comment 4 Kjartan Maraas 2001-02-27 14:08:04 EST
This _was_ wolverine (rc1)
Comment 5 Doug Ledford 2001-02-27 15:16:35 EST
This is probably a short term hang, aka, if you let it sit there for 15 minutes
or so, does it go ahead and work?  There is a known problem with Wolverine that
has already ben fixed which causes the system to appear to hang for a period of
time at the start of the install.
Comment 6 Kjartan Maraas 2001-02-27 15:37:33 EST
I'll let it sit there for a while tomorrow, when I'm back at work.
Comment 7 Kjartan Maraas 2001-02-28 03:16:23 EST
It's been sitting there for more than 25 minutes now with no progress.

scsi: aborting command due to timeout : pid 0, scsi0, channel 0, id 6, lun 0
0x2a 00 00 1d d5 ...................

repeated about 10 times on vt4.

Comment 8 Kjartan Maraas 2001-02-28 03:29:58 EST
Will try changing irq as I can see now that it is shared with usb and I know
this has caused problems for other hardware I've tested. Disabling USB for now.

This also had no effect. Will try formatting the drive in NT just to see if it's
working at all.
Comment 9 Michael K. Johnson 2001-03-01 00:03:17 EST
I'm assuming this is SMP; tell me if I'm wrong

Can you please try booting with "noapic" and see if that works
around the problem?  If so, this might be a dup or related to
bug #26634
Comment 10 Kjartan Maraas 2001-03-01 03:22:26 EST
If you look above I already did that on Alan Cox's suggestion. I also tried
booting in expert mode and giving the module the following option:


and this had no effect either.

The drive formats just fine under NT. Any other suggestions for me to try?
Should I check the controller configuration?
Comment 11 Michael K. Johnson 2001-03-01 21:06:05 EST
Sorry I missed that you had tried noapic.
Comment 12 Doug Ledford 2001-03-02 03:51:08 EST
Wolverine was missing the aic7xxx_new module or I would have you try that.  In
the meantime, I'll see if I can build a system with a 7892 to try and duplicate
your problem.
Comment 13 Sam Varshavchik 2001-03-03 15:30:24 EST
*** Bug 30414 has been marked as a duplicate of this bug. ***
Comment 14 Kjartan Maraas 2001-03-14 07:44:45 EST
I'm glad to report that this is fixed in the qa0309 tree. Installing it now.


Note You need to log in before you can comment on or make changes to this bug.